Subject: Re: [PATCH] On error, do not list all commands, but point to --help option.

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 20 Oct 2007 22:06:53 -0400

Johannes Schindelin <[email-masked]> wrote:
> > > On Sat, 20 Oct 2007, Jari Aalto wrote:
> > >
> > >> - commented out call to list_common_cmds_help()
> 
> Well, I'm almost sure of the opposite.  One of the big results of the Git 
> Survey was that git is still not user-friendly enough.  Your patch would 
> only make this issue worse.

Actually I think Jari's patch helps for the reason originally
stated in the message (less output when you make a small typo).
Though I agree that the commented out code should just be removed.

I actually had to do `git config alias.upsh push` just to keep
myself from screaming every time I made a small typo and Git gave
me a screenful of "helpful reminders".

Hmm.  Lets see.

  "cvs foo":
    Big spew of commands.  Like "git foo".

  "svn foo":
    Unknown command: 'foo'
    Type 'svn help' for usage.

Both are considered to be more newbie friendly then Git.  So clearly
SVN's output of almost nothing is friendly.  And so is CVS'
big spew of frequently used commands.  Either way is apparently
newbie friendly.

Though I find SVN's message a little insulting, asking me to type.
I know I have to type the command, thanks.

-- 
Shawn.